Subject: Re: [PATCH 4alt/4] attr: drop DEBUG_ATTR code

From: Derrick Stolee <[email-masked]>
Date: Thu, 6 Oct 2022 14:33:08 -0400

On 10/6/22 1:02 PM, Junio C Hamano wrote:
> Jeff King <[email-masked]> writes:
> 
>> On Thu, Oct 06, 2022 at 09:13:41AM -0400, Jeff King wrote:
>>
>>> The other obvious option is to just delete this debug code, and remove
>>> the unused parameter. I'm not sure if the trace would ever be useful or
>>> not, and I am mostly retaining it out of the logic of "well, somebody
>>> bothered to write it". I think the const issue has been there since
>>> e810e06357 (attr: tighten const correctness with git_attr and
>>> match_attr, 2017-01-27).
>>
>> And here's what that would look like.
> 
> I highly suspect that I was the one who bothered, and while I admit
> it was useful while developing the attribute subsystem, I haven't
> needed it for the past 10 or so years.
> 
> So unless there are some folks who want to throw everything into the
> trace2 floodstream, I would prefer this alternative over the other
> one.

Are you implying that you want to use the second version, that
deletes the information entirely? I'm leaning towards deleting
it.

If not, and we should keep using traces, I do notice that the
original version of the patch uses trace_printf_key() instead
of a trace2 method. I think this is fine, too, since it's
likely only to be used by Git developers, who could look for
which type of trace to use.

Thanks,
-Stolee